import { e, b as v, h as l, K as c, x as h } from "./_baseUniq-BM5nBlUE-Bqq-876b.js";
import { y, U as g, Q as m } from "./index-Bh-wTBlD.js";
function k(n) {
  var r = n == null ? 0 : n.length;
  return r ? c(n) : [];
}
function x(n, r) {
  var i = -1, o = g(n) ? Array(n.length) : [];
  return l(n, function(s, u, t) {
    o[++i] = r(s, u, t);
  }), o;
}
function K(n, r) {
  var i = y(n) ? v : x;
  return i(n, e(r));
}
function A(n, r) {
  return n < r;
}
function d(n, r, i) {
  for (var o = -1, s = n.length; ++o < s; ) {
    var u = n[o], t = r(u);
    if (t != null && (f === void 0 ? t === t && !h(t) : i(t, f)))
      var f = t, a = u;
  }
  return a;
}
function L(n) {
  return n && n.length ? d(n, m, A) : void 0;
}
export {
  d as A,
  k as L,
  K as M,
  L as k,
  x as v,
  A as x
};
